## jm-gantt-vue2

is a vue component but it could be used in other frameworks or even with jQuery (vue is kind of elastic and lightweight framework).

[WIKI](https://github.com/neuronetio/jm-gantt-vue2/wiki)

[Vue Example](https://github.com/neuronetio/vue-jm-gantt-vue2)

### Installation

`npm install --save jm-gantt-vue2` or download zip from github / clone repo

### jm-gantt-vue2 as vue component
```javascript
import Vue from 'vue';
import GanttElastic from "jm-gantt-vue2";
new Vue({
  el:'#gantt',
  template:`<GanttElastic :tasks="tasks" :options="options">
  </GanttElastic>`,
  components: {
    ganttElastic: GanttElastic,
  },
  data() {
    return {
      tasks: tasks,
      options: options
    };
  }
});
```

or

```javascript
import Vue from 'vue';
import App from './App.vue'; // your app that uses jm-gantt-vue2 from 'jm-gantt-vue2/src/GanttElastic.vue'

new Vue({
  el: '#app',
  render: (h) => h(App),
});
```

### For webpack usage (pure javascript, inside other frameworks or Vue App/Component)

Take a look at this demo project: https://github.com/neuronetio/jm-gantt-vue2-webpack for other bundlers use umd or commonjs from dist folder.

```javascript
import GanttElastic from 'jm-gantt-vue2/dist/GantElastic.umd.js';
import GanttElastic from 'jm-gantt-vue2/dist/GantElastic.common.js'; // same as import GanttElastic from 'jm-gantt-vue2';
import GanttElastic from 'jm-gantt-vue2/src/GantElastic.vue'; // if you want vue component directly without compilation - look above
// and the same with require
const GanttElastic = require('jm-gantt-vue2/dist/GantElastic.common.js');
```

### uglifyjs

If you are using uglifyjs in your project be sure to have es6 compatible version like [uglify-es](https://www.npmjs.com/package/uglify-es)

### Licensce

MIT
